export const eventsQueryKeys = {
  getEventsList: (token: string, past: number) => ['getEventsList', token, past] as const,
  getEvent: (token: string, url: string) => ['getEvent', { token, url }] as const,
  joinEvent: () => ['joinEvent'] as const,
  unjoinEvent: () => ['unjoinEvent'] as const,
  uploadTempFile: () => ['uploadTempFile'] as const,
  eventAddFile: () => ['eventAddFile'] as const,
  deleteFile: () => ['deleteFile'] as const,
  uploadPhoto: () => ['uploadPhoto'] as const,
  getMorePhotos: (token: string, event_id: number, last_id: number) =>
    ['getMorePhotos', { token, event_id, last_id }] as const,
  canAddEvent: (token: string) => ['canAddEvent', token] as const,
  getPhotosForRegion: () => ['getPhotosForRegion'] as const,
  getPhotosForRegionQuery: (region_id: number) => ['getPhotosForRegionQuery', region_id] as const,
  addEvent: () => ['addEvent'] as const,
  getEventForEditing: () => ['getEventForEditing'] as const,
  updateEvent: () => ['updateEvent'] as const,
  cancelEvent: () => ['cancelEvent'] as const,
  removeParticipant: () => ['removeParticipant'] as const
};
