import { StyleSheet } from 'react-native';
import { Colors } from 'src/theme';

export const styles = StyleSheet.create({
  columnWrapper: {
    justifyContent: 'space-between'
  },
  image: {
    borderRadius: 8
  },
  imageFooter: { paddingBottom: 50, paddingHorizontal: 16, gap: 16 },
  imageOwner: {
    flexDirection: 'row',
    alignItems: 'center',
    justifyContent: 'center',
    gap: 6,
    backgroundColor: 'rgba(255, 255, 255, 0.7)',
    paddingVertical: 6,
    paddingHorizontal: 12,
    borderRadius: 8,
    alignSelf: 'center'
  },
  imageOwnerText: { color: Colors.DARK_BLUE, fontFamily: 'montserrat-700' }
});
