import { StyleSheet } from 'react-native';
import { Colors } from 'src/theme';
import { getFontSize } from 'src/utils';

export const styles = StyleSheet.create({
  alignStyle: {
    display: 'flex',
    flexDirection: 'row',
    alignItems: 'center'
  },
  buttonWrapper: {
    width: '100%',
    minHeight: 48
  },
  buttonLabel: {
    color: Colors.DARK_BLUE,
    fontSize: getFontSize(14),
    fontFamily: 'montserrat-700',
    flexShrink: 1
  }
});
